# ===============================
# = SERVER CONFIGURATION
# ===============================

server:
  port: 8081

# ===============================
# = SPRING CONFIGURATION
# ===============================

spring:
  datasource:
    driver-class-name: org.h2.Driver
  h2:
    console:
      enabled: true
  jpa:
    database-platform: org.hibernate.dialect.H2Dialect
    open-in-view: true
    # Show or not log for each sql query
    show-sql: true

# ===============================
# = LOGBACK
# ===============================

logging:
  level:
    fr.jihadoussad.tokenserver: debug
  pattern:
    console: "%d{yyyy-MM-dd HH:mm:ss} %highlight(%-5level) [%blue(%t)] %yellow(%C{1.}): %msg%n%throwable"
